using Avalonia.Controls;
using Avalonia.Interactivity;
using System;
using System.IO;
using static ReLaunch.Launcher;
using static ReLaunch.Downloader;
using static ReLaunch.SettingsUtility;
using Avalonia.Logging;
namespace ReLaunch;

public partial class MainWindow : Window
{
    Settings settings;
    MinecraftLog logger = new();

    public MainWindow()
    {
        SettingsUtility su = new();

        InitializeComponent();
        logger.Show();
        settings = LoadSettings("settings.json");
        usernameText.Text = "Logged in as " + settings.username;
        if ((bool)settings.UseDefaultNativesLibraries)
        {
            if (!AreNativesInstalled("natives/"))
            {
                DownloadNatives("natives/");

            }
            if (!AreLibrariesInstalled("libraries/"))
            {
                DownloadLibraries("libraries/");
            }
        }
    }


    public async void LaunchButtonClick(object source, RoutedEventArgs args)
    {
        if (!File.Exists($"jars/{settings.MinecraftJar}.jar"))
        {
            if (IsVanilla(settings.MinecraftJar))
            {
                DownloadVanilla(settings.MinecraftJar, "jars/");
            }
            else
            {
                logger.Log("jar not found :C");
                return;
            }
        }
        await LaunchMinecraft(settings, logger, "natives/", "jars/", "libraries/", ".minecraft/", "net.minecraft.client.Minecraft");
   
    }
    public async void SettingsButtonClick(object source, RoutedEventArgs args)
    {
        SettingsManager sm = new SettingsManager();
        await sm.ShowDialog(this);
        settings = LoadSettings("settings.json"); //reload the settings
    }

}

