using Avalonia;
using Avalonia.Controls;
using Newtonsoft.Json;
using Avalonia.Markup.Xaml;
using Avalonia.Interactivity;
using System;
using static ReLaunch.SettingsUtility;
using static ReLaunch.Downloader;
using System.IO;
using Avalonia.Controls.Primitives;
namespace ReLaunch;

public partial class SettingsManager : Window
{
    Settings settings = new();
    public SettingsManager()
    {
        InitializeComponent();
        try
        {
            settings = LoadSettings("settings.json");
        }
        catch (Exception e)
        {
            Console.WriteLine(e);
        }
        string[] directoryListing = Directory.GetFiles("jars/");
         //add jars from the jars/ directory
        foreach (string file in directoryListing)
        {
            if (!IsVanilla(file[5..^4]) && file[^4..] == ".jar")
            {
                versionComboBox.Items.Add(file[5..^4]);
            }
        }
        username.Text = settings.username;
        javaPath.Text = settings.JavaPath;
        arguments.Text = settings.Arguments;
        versionComboBox.SelectedItem = settings.MinecraftJar;
        defaultNatives.IsChecked = settings.UseDefaultNativesLibraries;
    }
    public void SaveButtonClick(object source, RoutedEventArgs args)
    {

        settings.UseDefaultNativesLibraries = defaultNatives.IsChecked;
        settings.username = username.Text;
        settings.MinecraftJar = versionComboBox.SelectionBoxItem.ToString();
        settings.JavaPath = javaPath.Text;
        settings.Arguments = arguments.Text;
        SaveSettings(settings, "settings.json");
        this.Close();
    }
}